#=============================================================================

# You might also need to install additional packages (seaborn, sklearn,...)
# for the codes to run
#=============================================================================

import Tools
import pandas as pd

MET = pd.read_csv('MET.csv', header=0, sep='\t', index_col=0)
SCNA = pd.read_csv('SCNA.csv', header=0, sep='\t', index_col=0)

MET_DM = Tools.get_DistanceMatrix(MET)
SCNA_DM = Tools.get_DistanceMatrix(SCNA)

MET_AM = Tools.get_AffinityMatrix(MET_DM)
SCNA_AM  = Tools.get_AffinityMatrix(SCNA_DM)

A = [MET_AM, SCNA_AM]
FAM = Tools.SNF(A, K = 5, t = 200)
Tools.plot_FusedAffinityMatrix(FAM, n_clusters=5)
